Package org.apache.lucene.misc.util

# Interface MemoryTracker

All Known Implementing Classes:
  `CollectorMemoryTracker`

public interface MemoryTracker
Tracks dynamic allocations/deallocations of memory for transient objects

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBytes()`
  `void`
  `updateBytes(long bytes)`

- ## Method Details

  - ### updateBytes

    void updateBytes(long bytes)

  - ### getBytes

    long getBytes()